Subject: Re: [GSoC][PATCH v2] Add a diff driver for JavaScript languages.

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Mar 2022 12:22:49 -0700

Glen Choo <[email-masked]> writes:

> Interesting, I'll take note. I'm still personally not keen on supporting
> CommonJS-only patterns when we are purportedly trying to show diffs for
> JavaScript, but if we think this fits the style, I'm happy to oblige.

The question is, with these patterns that are aware of CommonJS
convention, would your bog-standard-and-boring vanilla JS code be
detected incorrectly?  Becoming aware of popular conventions without
hurting others would be a good thing.

And the "popular conventions" does not have to be limited to
CommonJS/Node.